body{
    margin: 0;
    padding: 0;
}
ul{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    display: flex;
    margin: 0;
    padding: 0;
    border: 1px solid #262626;
}
ul li{
    list-style: none;
}
ul li a {
    position: relative;
    display: block;
    width: 120px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    color: #262626;
    text-transform: uppercase;
    text-decoration: none;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    letter-spacing: 2px;
    overflow: hidden;
    transition: .5s;
}
ul li a:hover{
    color: #fff;
    
}
ul li a:before{
    content: '';
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background: #262626;
    z-index: -1;
    transition: .5s;
}
ul li:nth-child(odd) a:before{
    right: -100%;
}
ul li:nth-child(even) a:before{
    left: -100%;
}
ul li:nth-child(odd) a:hover:before{
    right: 0%;
}
ul li:nth-child(even) a:hover:before{
    left: 0%;
}
